/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_USER_ID   , LEN_USER_ID   );
	setMaxLength(PRM_TXT_K_CODE    , LEN_K_CODE    );
	setMaxLength(PRM_TXT_USER_NAME , LEN_USER_NAME );
	setMaxLength(PRM_TXT_DATA_LEVEL, LEN_DATA_LEVEL);
	// 読取専用設定
	setReadOnly(PRM_TXT_USER_ID  , true);
	setReadOnly(PRM_TXT_K_CODE   , true);
	setReadOnly(PRM_TXT_USER_NAME, true);
	// フォーカス設定
	setFocus(PRM_PLT_AUTHORITY);
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitMessage(objForm, cmd, 'QC0001', '');
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_USER_ID   , NAM_USER_ID   , aryMessage);
	checkRequired(PRM_TXT_K_CODE    , NAM_K_CODE    , aryMessage);
	checkRequired(PRM_TXT_USER_NAME , NAM_USER_NAME , aryMessage);
	checkRequired(PRM_PLT_AUTHORITY , NAM_AUTHORITY , aryMessage);
	checkRequired(PRM_TXT_DATA_LEVEL, NAM_DATA_LEVEL, aryMessage);
	checkRequired(PRM_PLT_DELETE    , NAM_DELETE    , aryMessage);
	checkCode    (PRM_TXT_USER_ID   , NAM_USER_ID   , aryMessage);
	checkCode    (PRM_TXT_K_CODE    , NAM_K_CODE    , aryMessage);
	checkCode    (PRM_PLT_AUTHORITY , NAM_AUTHORITY , aryMessage);
	checkNumber  (PRM_TXT_DATA_LEVEL, NAM_DATA_LEVEL, aryMessage);
	checkNumber  (PRM_PLT_DELETE    , NAM_DELETE    , aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
